#### D.6.12.4 isEquising

Procedure from library `equising.lib` (see equising_lib).

Usage:
  isEquising(F[,m,L]); F poly, m int, L list

Assume:
  F defines a deformation of a reduced bivariate polynomial f and the characteristic of the basering does not divide mult(f).
  If nv is the number of variables of the basering, then the first nv-2 variables are the deformation parameters.
  If the basering is a qring, ideal(basering) must only depend on the deformation parameters.

Compute:
  tests if the given family is equisingular along the trivial section.

Return:
  int: 1 if the family is equisingular, 0 otherwise.

Note:
  L is supposed to be the output of hnexpansion (with the given ordering of the variables appearing in f).
  If m is given, the family is considered over A/maxideal(m).
  This procedure uses `execute` or calls a procedure using `execute`. printlevel>=2 displays additional information.

Example:

    LIB "equising.lib";
    ring r = 0,(a,b,x,y),ds;
    poly F = (x2+2xy+y2+x5)+ay3+bx5;
    isEquising(F);
    ==> 0
    ideal I = ideal(a);
    qring q = std(I);
    poly F = imap(r,F);
    isEquising(F);
    ==> 1
    ring rr=0,(A,B,C,x,y),ls;
    poly f=x7+y7+(x-y)^2*x2y2;
    poly F=f+A*y*diff(f,x)+B*x*diff(f,x);
    isEquising(F);
    ==> 0
    isEquising(F,2);    // computation over  Q[a,b] / <a,b>^2
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.